group "FixedIncomeSecurityContent.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 6 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
(issuerName? | issuerPartyReference?)?, seniority?, couponType?, couponRate?, maturity?

Content Model Elements (6):

  couponRate, couponType, issuerName, | issuerPartyReference, maturity (defined in FixedIncomeSecurityContent.model group), seniority

Known Usage Locations

- In definitions of global complexTypes (2):
  Bond, Mortgage

Annotation
A group that specifies Bond Content elements.
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="FixedIncomeSecurityContent.model"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="issuerName" type="xsd:string"/> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/> </xsd:choice> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/> <xsd:element minOccurs="0" name="couponType" type="CouponType"/> <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="maturity" type="xsd:date"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
couponRate

  Type: | xsd:decimal, predefined, simple content

  Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"/>

couponType

  Type: | CouponType, simple content

  Specifies if the bond has a variable coupon, step-up/down coupon or a zero-coupon.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="couponType" type="CouponType"/>

issuerName

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="issuerName" type="xsd:string"/>

issuerPartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/>

maturity

  Type: | xsd:date, predefined, simple content

  The date when the principal amount of a security becomes due and payable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maturity" type="xsd:date"/>

seniority

  Type: | CreditSeniority, simple content

  The repayment precedence of a debt instrument.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.